Subject: Re: bug#24845: 24.5; out-of-date text in (elisp) `Autoload'?

From: [email-masked]
Date: Tue, 01 Nov 2016 21:13:48 -0400

Drew Adams <[email-masked]> writes:

> I see this in that node:
>
>   Other definition types:
>      defcustom, defgroup, defclass (*note EIEIO: (eieio)Top.), and
>      define-skeleton (see the commentary in skeleton.el).
>                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> But I do not see anything appropriate in the commentary in
> `skeleton.el'.  What is this all about?

The reference to skeleton.el's commentary was introduced in bc44be50 "*
loading.texi (Autoload): Explicitly state which forms are processed
specially.", there is no additional commentary in skeleton.el regarding
autoloading in that revision either.  I think it's just intended to be
an explanation of what `define-skeleton' is.

Perhaps a better link would be `(autotype) Skeleton Language', similar
to how defclass has a link to eieio.

diff --git i/doc/lispref/loading.texi w/doc/lispref/loading.texi
index 81a1922..82bdde0 100644
--- i/doc/lispref/loading.texi
+++ w/doc/lispref/loading.texi
@@ -610,8 +610,8 @@ Autoload
 
 @item Other definition types:
 @code{defcustom}, @code{defgroup}, @code{defclass}
-(@pxref{Top,EIEIO,,eieio,EIEIO}), and @code{define-skeleton} (see the
-commentary in @file{skeleton.el}).
+(@pxref{Top,EIEIO,,eieio,EIEIO}), and @code{define-skeleton}
+(@pxref{Skeleton Language,,,autotype,Autotyping}).
 @end table
 
   You can also use a magic comment to execute a form at build time